package org.springblade.thirdparty.mk.constant;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 *  文档类型
 *  myDraft 我的起草
 * myCreated  我发起的
 * myCreatedAndDraft  我发起的和我起草的
 * myApproving 我的待审
 * myApproved 我的已审
 * myReading 我的待阅
 * myReaded 我的已阅
 * myFocus 我关注的
 * myAll 我所有的( 含我发起的，我审批的，待我审的)
 * @author bfhuange
 * @since 2025/4/2
 */
@AllArgsConstructor
@Getter
public enum MKDoc {
    /**
     *  我的待审
     */
    APPROVING("myApproving", "我的待审"),
    /**
     *  我的已审
     */
    APPROVED("myApproved", "我的已审"),
    /**
     *  我的待阅
     */
    READING("myReading", "我的待阅"),
    /**
     *  我的已阅
     */
    READ("myReaded", "我的已阅"),
    /**
     *  我发起的
     */
    CREATE("myCreated", "我发起的"),
    /**
     *  我参与的
     */
    RELATED("myRelated", "我参与的"),
    ;
    /**
     *  编码
     */
    private final String code;
    /**
     *  名称
     */
    private final String name;
}
